org.eclipse.mat.ui.util

## Class QueryContextMenu.QueryAction

- java.lang.Object
- - Action
  - - org.eclipse.mat.ui.util.QueryContextMenu.QueryAction

Enclosing class:
  QueryContextMenu

    public static final class QueryContextMenu.QueryAction
    extends Action

### Constructor Summary

Constructors
Constructor and Description
`QueryAction(MultiPaneEditor editor, QueryDescriptor query, IPolicy policy)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `run()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### QueryAction

    public QueryAction(MultiPaneEditor editor,
                       QueryDescriptor query,
                       IPolicy policy)

### Method Detail

#### run

    public void run()